Subject: Re: FW: Special Filenames AUX, CON, etc.
From: [email-masked] (Mikey)

11 Apr 1998 21:42:54 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

win95b
nope looks like current info to me ;^(

W95_C:\>echo me > \\.\c:\nul
File creation error

W95_C:\>

On Sat, 11 Apr 1998 15:31:34 -0400, you wrote:

>According to the MS docs, the "\\?\" syntax is an NT thing only.  Perhaps 
>this is now dated information.  I don't know.  I've heard others claiming
>that just using UNC is enough to cure this problem.  If that's true, I 
>think its better to use this capability, since it is more likely to work
>for 95 as well.
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      (781) 239-1053
>8 Grove Street                          (781) 239-1655 - FAX
>Wellesley, MA  02181                    http://www.rfk.com
>
>
>At 11:25 AM 4/11/98 +0400, Sergey Okhapkin wrote:
>>
>>Any ideas? It seems reasonable to me...
>>
>>----------
>>From: 	Spencer Low
>>Sent: 	ÓÕÂÂÏÔÁ, 11 ÁÐÒÅÌÑ 1998 Ç. 6:30
>>To: 	[email-masked]
>>Subject: 	Special Filenames AUX, CON, etc.
>>
>>I saw some messages on the gnu-win32 mailing list about how Windows NT
>>doesn't have the capability to create/open files with special names (or
>>containing special names) like AUX. I was really surprised to see that
>>gnu-win32 doesn't properly open files with these funny names when the fix is
>>quite easy.
>>
>>To create/open a file with a special name, reference it like:
>>
>>\\?\C:\MyDirectory\aux
>>
>>instead of
>>
>>C:\MyDirectory\aux
>>
>>I tried this with the gnu-win32 tools and I was able to manipulate files
>>with special names with no problems.
>>
>>[The original purpose of the \\?\{FullPath} syntax seems to be a mechanism
>>to get NT to recognize a full path longer than 255 characters]
>>
>>I'm not subscribed to the mailing list and I don't have time to submit a
>>patch, but I thought you may be able to use this info to patch gnu-win32 if
>>you have the time and energy.
>>
>>Thanks,
>>
>>Spencer [please feel free to forward this along]
>>--
>>Spencer Low <[email-masked]>
>>
>>
>>
>>
>>

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".